ProcEntry (jTDS API)
Keywords: net.sourceforge.jtds.jdbc.ProcEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class ProcEntry

    java.lang.Object
      net.sourceforge.jtds.jdbc.ProcEntry

public class ProcEntry
extends java.lang.Object

Stores information about a cached stored procedure or statement handle.

Version:
  $Id: ProcEntry.java,v 1.1 2005/05/25 09:24:03 alin_sinpalean Exp $

Field Summary
`private ColInfo[]` | `colMetaData` Column meta data (Sybase only).
`static int` | `CURSOR` The entry references a prepared cursor handle.
`private java.lang.String` | `name` Stored procedure name or statement handle.
`private ParamInfo[]` | `paramMetaData` Parameter meta data (Sybase only).
`static int` | `PREP_FAILED` The entry references a failed prepare.
`static int` | `PREPARE` The entry references a prepared statement handle.
`static int` | `PROCEDURE` The entry references a stored procedure.
`private int` | `refCount` Usage count for this statement.
`private int` | `type` Type of statement referenced by this entry.

Constructor Summary
`ProcEntry()`

Method Summary
`void` | `addRef()` Increments the usage count.
`void` | `appendDropSQL(java.lang.StringBuffer sql)` Retrieves the SQL to drop this statement.
`ColInfo[]` | `getColMetaData()` Retrieves the column meta data array.
`ParamInfo[]` | `getParamMetaData()` Retrieves the parameter meta data array.
`int` | `getRefCount()` Retreives the usage count.
`int` | `getType()` Retrieves the statement implementation type.
`void` | `release()` Decrements the usage count.
`void` | `setColMetaData(ColInfo[] colMetaData)` Sets the column meta data.
`void` | `setHandle(int handle)` Sets the prepared statement handle.
`void` | `setName(java.lang.String name)` Sets the procedure name.
`void` | `setParamMetaData(ParamInfo[] paramMetaData)` Sets the parameter meta data.
`void` | `setType(int type)` Sets the statement implementation type.
`java.lang.String` | `toString()` Retrieves the procedure or handle name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROCEDURE

    public static final int PROCEDURE

  The entry references a stored procedure.

  See Also:
    Constant Field Values

### PREPARE

    public static final int PREPARE

  The entry references a prepared statement handle.

  See Also:
    Constant Field Values

### CURSOR

    public static final int CURSOR

  The entry references a prepared cursor handle.

  See Also:
    Constant Field Values

### PREP_FAILED

    public static final int PREP_FAILED

  The entry references a failed prepare.

  See Also:
    Constant Field Values

### name

    private java.lang.String name

  Stored procedure name or statement handle.

### colMetaData

    private ColInfo[] colMetaData

  Column meta data (Sybase only).

### paramMetaData

    private ParamInfo[] paramMetaData

  Parameter meta data (Sybase only).

### type

    private int type

  Type of statement referenced by this entry.

### refCount

    private int refCount

  Usage count for this statement.

Constructor Detail

### ProcEntry

    public ProcEntry()

Method Detail

### toString

    public final java.lang.String toString()

  Retrieves the procedure or handle name.

  Returns:
    the statement or handle name as a `String`

### setName

    public void setName(java.lang.String name)

  Sets the procedure name.

  Parameters:
    `name` - the procedure name

### setHandle

    public void setHandle(int handle)

  Sets the prepared statement handle.

  Parameters:
    `handle` - the `sp_prepare` handle value

### getColMetaData

    public ColInfo[] getColMetaData()

  Retrieves the column meta data array.

  Returns:
    the column meta data as `ColInfo[]`

### setColMetaData

    public void setColMetaData(ColInfo[] colMetaData)

  Sets the column meta data.

  Parameters:
    `colMetaData` - the column meta data

### getParamMetaData

    public ParamInfo[] getParamMetaData()

  Retrieves the parameter meta data array.

  Returns:
    the parameter meta data as a `ParamInfo[]`

### setParamMetaData

    public void setParamMetaData(ParamInfo[] paramMetaData)

  Sets the parameter meta data.

  Parameters:
    `paramMetaData` - the parameter meta data array

### setType

    public void setType(int type)

  Sets the statement implementation type.

  Parameters:
    `type` - the type code (one of PROCEDURE,PREPARE,CURSOR)

### getType

    public int getType()

  Retrieves the statement implementation type.

  Returns:
    the statement type as an `int`

### appendDropSQL

    public void appendDropSQL(java.lang.StringBuffer sql)

  Retrieves the SQL to drop this statement.

### addRef

    public void addRef()

  Increments the usage count.

### release

    public void release()

  Decrements the usage count.

### getRefCount

    public int getRefCount()

  Retreives the usage count.

  Returns:
    the usage count as an `int`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009